Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Interface TAG_JAVA_CODEBASE

public interface TAG_JAVA_CODEBASE

org/omg/IOP/TAG_JAVA_CODEBASE.java . Generated by the IDL-to-Java compiler (portable), version "3.1" from ../../../../src/share/classes/org/omg/PortableInterceptor/IOP.idl Wednesday, January 30, 2002 4:01:40 AM GMT-08:00

Field Summary
`static int` | `value` Class downloading is supported for stubs, ties, values, and value helpers.

Field Detail

### value

    public static final int value

  Class downloading is supported for stubs, ties, values, and value helpers. The specification allows transmission of codebase information on the wire for stubs and ties, and enables usage of pre-existing ClassLoaders when relevant.

  For values and value helpers, the codebase is transmitted after the value tag. For stubs and ties, the codebase is transmitted as the TaggedComponent `TAG_JAVA_CODEBASE` in the IOR profile, where the `component_data` is a CDR encapsulation of the codebase written as an IDL string. The codebase is a space-separated list of one or more URLs.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.